Bug 11513 - Cannot select different kernels through serial console at boot
Cannot select different kernels through serial console at boot
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-18 14:48 EDT by david
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-29 16:31:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david 2000-05-18 14:48:13 EDT
With Redhat 6.0, I am able to select different kernels from the Lilo prompt
when using a serial console, by pressing the TAB key.

With Redhat 6.1, pressing the TAB key when using a serial console has no
affect on Lilo and does not allow for selection of different kernels.

Here is my /etc/lilo.conf file.

boot=/dev/sda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
default=linux
serial=0,19200n8
image=/boot/vmlinuz-2.2.15
        label=linux
        root=/dev/sda1
        initrd=/boot/initrd-2.2.15.img
        read-only
        append = "console=tty0 console=ttyS0,19200n8"
image=/boot/vmlinuz-2.2.12-20
        label=linux-2.2.12
        initrd=/boot/initrd-2.2.12-20.img
        read-only
        root=/dev/sda1
Comment 1 Jeremy Katz 2002-06-04 01:14:12 EDT
Do you still experience this in newer releases of Red Hat Linux?
Comment 2 david 2002-06-04 10:46:46 EDT
I found that if I remove this line in /etc/lilo.conf
  message=/boot/message
then I am able to select different kernels and pass boot options to lilo from a serial console session.
But with that line in lilo.conf, it causes lilo to boot the first available kernel immediately without giving a boot prompt.
This is true for all of the 7.x versions I have tried.
Comment 3 Jeremy Katz 2003-06-29 16:31:34 EDT
Yes, message= conflicts with serial.  Anaconda will now only set up one or the
other.  Changing lilo so that you can have both isn't likely to happen as GRUB
is our recommended boot loader these days.

Note You need to log in before you can comment on or make changes to this bug.